<?php
/**
 * Doctor Physician functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package doctor_physician
 */

$doctor_physician_theme_data = wp_get_theme();
if( ! defined( 'DOCTOR_PHYSICIAN_THEME_VERSION' ) ) define ( 'DOCTOR_PHYSICIAN_THEME_VERSION', $doctor_physician_theme_data->get( 'Version' ) );
if( ! defined( 'DOCTOR_PHYSICIAN_THEME_NAME' ) ) define( 'DOCTOR_PHYSICIAN_THEME_NAME', $doctor_physician_theme_data->get( 'Name' ) );
if( ! defined( 'DOCTOR_PHYSICIAN_THEME_TEXTDOMAIN' ) ) define( 'DOCTOR_PHYSICIAN_THEME_TEXTDOMAIN', $doctor_physician_theme_data->get( 'TextDomain' ) );

if ( ! defined( 'DOCTOR_PHYSICIAN_VERSION' ) ) {
	define( 'DOCTOR_PHYSICIAN_VERSION', '1.0.0' );
}

if ( ! function_exists( 'doctor_physician_setup' ) ) :
	
	function doctor_physician_setup() {
		
		load_theme_textdomain( 'doctor-physician', get_template_directory() . '/languages' );

		add_theme_support( 'woocommerce' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'doctor-physician' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'doctor_physician_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*
		* This theme styles the visual editor to resemble the theme style,
		* specifically font, colors, icons, and column width.
		*/
		add_editor_style( '/resource/css/editor-style.css' );
	}
endif;
add_action( 'after_setup_theme', 'doctor_physician_setup' );

function doctor_physician_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'doctor_physician_content_width', 640 );
}
add_action( 'after_setup_theme', 'doctor_physician_content_width', 0 );

function doctor_physician_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'doctor-physician' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'doctor-physician' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	// Regsiter 4 footer widgets.
	$doctor_physician_footer_widget_column = get_theme_mod('doctor_physician_footer_widget_column','4');
	for ($doctor_physician_i=1; $doctor_physician_i<=$doctor_physician_footer_widget_column; $doctor_physician_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'doctor-physician' )  . $doctor_physician_i,
			'id' => 'doctor-physician-footer-widget-' . $doctor_physician_i,
			'description' => __( 'The Footer Widget Area', 'doctor-physician' )  . $doctor_physician_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'doctor_physician_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function doctor_physician_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Slick style.
	wp_enqueue_style( 'doctor-physician-slick-style', get_template_directory_uri() . '/resource/css/slick' . $min . '.css', array(), '1.8.1' );

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Main style.
	wp_enqueue_style( 'doctor-physician-style', get_template_directory_uri() . '/style.css', array(), DOCTOR_PHYSICIAN_VERSION );

	// RTL style.
	wp_style_add_data('doctor-physician-style', 'rtl', 'replace');

	// Animate CSS
	wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );

	// Navigation script.
	wp_enqueue_script( 'doctor-physician-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), DOCTOR_PHYSICIAN_VERSION, true );

	// Slick script.
	wp_enqueue_script( 'doctor-physician-slick-script', get_template_directory_uri() . '/resource/js/slick' . $min . '.js', array( 'jquery' ), '1.8.1', true );

	// Wow script.
	wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );

	// Custom script.
	wp_enqueue_script( 'doctor-physician-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), DOCTOR_PHYSICIAN_VERSION, true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

	// Load the webfont.
	wp_enqueue_style(
		'poppins',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap' ),
		array(),
		'1.0'
	);

	wp_enqueue_style(
		'nunito',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap' ),
		array(),
		'1.0'
	);

}
add_action( 'wp_enqueue_scripts', 'doctor_physician_scripts' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'doctor_physician_products_per_page' );
function doctor_physician_products_per_page( $cols ) {
  	return  get_theme_mod( 'doctor_physician_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'doctor_physician_loop_columns');
	if (!function_exists('doctor_physician_loop_columns')) {
	function doctor_physician_loop_columns() {
		return get_theme_mod( 'doctor_physician_products_per_row', 3 );
	}
}

// Featured Image Dimension
function doctor_physician_blog_post_featured_image_dimension(){
	if(get_theme_mod('doctor_physician_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

/**
 * Include wptt webfont loader.
 */
require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

/**
 * Demo Import
*/
add_action( 'init', 'doctor_physician_load_theme_wizard' );
function doctor_physician_load_theme_wizard() {
    require get_parent_theme_file_path( '/theme-wizard/config.php' );
}

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

function doctor_physician_links_setup() {
	if ( ! defined( 'DOCTOR_PHYSICIAN_PREMIUM_PAGE' ) ) {
	define('DOCTOR_PHYSICIAN_PREMIUM_PAGE',__('https://asterthemes.com/products/medical-doctor-wordpress-theme','doctor-physician'));
	}
	if ( ! defined( 'DOCTOR_PHYSICIAN_THEME_PAGE' ) ) {
		define('DOCTOR_PHYSICIAN_THEME_PAGE',__('https://asterthemes.com/products/doctor-physician','doctor-physician'));
	}
	if ( ! defined( 'DOCTOR_PHYSICIAN_SUPPORT' ) ) {
	define('DOCTOR_PHYSICIAN_SUPPORT',__('https://wordpress.org/support/theme/doctor-physician/','doctor-physician'));
	}
	if ( ! defined( 'DOCTOR_PHYSICIAN_REVIEW' ) ) {
	define('DOCTOR_PHYSICIAN_REVIEW',__('https://wordpress.org/support/theme/doctor-physician/reviews/','doctor-physician'));
	}
	if ( ! defined( 'DOCTOR_PHYSICIAN_PRO_DEMO' ) ) {
	define('DOCTOR_PHYSICIAN_PRO_DEMO',__('https://demo.asterthemes.com/doctor-physician/','doctor-physician'));
	}
	if ( ! defined( 'DOCTOR_PHYSICIAN_THEME_DOCUMENTATION' ) ) {
	define('DOCTOR_PHYSICIAN_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/doctor-physician-free/','doctor-physician'));
	}
	if ( ! defined( 'DOCTOR_PHYSICIAN_PREMIUM_DOCUMENTATION' ) ) {
	define('DOCTOR_PHYSICIAN_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/doctor-physician-pro/','doctor-physician'));
	}
	if ( ! defined( 'DOCTOR_PHYSICIAN_BUNDLE_PAGE' ) ) {
		define('DOCTOR_PHYSICIAN_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','doctor-physician'));
	}
}
add_action('after_setup_theme', 'doctor_physician_links_setup');

// Reset all theme settings
function doctor_physician_reset_demo_import_settings() {
    if (current_user_can('manage_options')) {
        // List only demo import-related settings to reset
		remove_theme_mod('doctor_physician_header_button_label_');
		remove_theme_mod('doctor_physician_header_button_link_');
		remove_theme_mod('doctor_physician_banner_button_label_');
		remove_theme_mod('doctor_physician_banner_button_link_');
		remove_theme_mod('doctor_physician_about_left_image');
		remove_theme_mod('doctor_physician_team_heading');
		remove_theme_mod('doctor_physician_enable_banner_section');
		remove_theme_mod('doctor_physician_about_heading');
		remove_theme_mod('doctor_physician_service_main_button_label');
		remove_theme_mod('doctor_physician_service_main_button_url');
		remove_theme_mod('doctor_physician_enable_service_section');
		remove_theme_mod('doctor_physician_service_button_label');
		remove_theme_mod('doctor_physician_service_icon');

        wp_send_json_success(array('message' => __('Demo import settings have been reset.', 'doctor-physician')));
    } else {
        wp_send_json_error(array('message' => __('Permission denied.', 'doctor-physician')));
    }
}
add_action('wp_ajax_doctor_physician_reset_demo_import_settings', 'doctor_physician_reset_demo_import_settings'); 